## oem-config 1.37.2netbook9belmont2

=== debian/changelog ===
oem-config (1.37.2netbook9belmont2) hardy; urgency=low

  * debian/patches/fluendo-eula.patch:
    - Make sure we call the user setup apply script

 -- Michael Terry <michael.terry@canonical.com>  Wed, 01 Oct 2008 10:35:08 -0400

oem-config (1.37.2netbook9belmont1) hardy; urgency=low

  * New netbook version (fixes country names with spaces).  LP: #276258
  * debian/patches/fluendo-eula.patch:
    - Add EULA at end for Fluendo's codecs (LP: #276012)

 -- Michael Terry <michael.terry@canonical.com>  Tue, 30 Sep 2008 16:56:37 -0400

oem-config (1.37.2netbook8belmont1) hardy; urgency=low

  * New netbook version (blacklist oem username).  LP: #273282

 -- Michael Terry <michael.terry@canonical.com>  Mon, 29 Sep 2008 11:31:45 -0400

oem-config (1.37.2netbook7belmont1) hardy; urgency=low

  * Bump version to match netbook.  No change, because netbook's update was
    strictly translations we don't want.

 -- Michael Terry <michael.terry@canonical.com>  Wed, 17 Sep 2008 16:13:48 -0400

oem-config (1.37.2netbook6belmont1) hardy; urgency=low

  * Resync with ubuntu-netbook (use its add-langpacks and fix hostname.patch)

 -- Michael Terry <michael.terry@canonical.com>  Wed, 27 Aug 2008 09:00:57 -0400

oem-config (1.37.2netbook5belmont4) hardy; urgency=low

  * Fix yahoo-links.patch to create a firefox user profile and write to
    that.  (needed to workaround bug in yahoo toolbar)

 -- Michael Terry <michael.terry@canonical.com>  Fri, 22 Aug 2008 10:50:23 -0400

oem-config (1.37.2netbook5belmont3) hardy; urgency=low

  * fix-background.patch:
    - Use Vineyard background, not hardy heron for first few seconds

 -- Michael Terry <michael.terry@canonical.com>  Thu, 21 Aug 2008 10:23:15 -0400

oem-config (1.37.2netbook5belmont2) hardy; urgency=low

  * yahoo-links.patch:
    - Update scripts/yahoo-localize-dell to some of what Yahoo updated
  * Take out throbber.patch (really should have been called please-wait.patch)

 -- Michael Terry <michael.terry@canonical.com>  Mon, 18 Aug 2008 17:44:35 -0400

oem-config (1.37.2netbook5belmont1) hardy; urgency=low

  * Resync with netbook-common (pulled in hostname.patch)

 -- Michael Terry <michael.terry@canonical.com>  Thu, 14 Aug 2008 09:07:48 -0400

oem-config (1.37.2netbook4belmont8) hardy; urgency=low

  * add-langpacks.patch: 
    - Move langpack install to new installlangs script
    - Convert to installation from local apt repository rather than local
      package cache.
    - Execute /usr/bin/language-installer from oem-config-dm
  * yahoo-links.path:
    - Modify to apply after updated add-langpacks.patch

 -- Steve Magoun <steve.magoun@canonical.com>  Tue, 12 Aug 2008 11:11:24 -0400

oem-config (1.37.2netbook4belmont7) hardy; urgency=low

  * Fix add-langpacks.patch to remove killer quotes

 -- Michael Terry <michael.terry@canonical.com>  Fri, 08 Aug 2008 14:45:02 -0400

oem-config (1.37.2netbook4belmont6) hardy; urgency=low

  * Fix add-langpacks.patch to not run apt-get while oem-config is running.
  * Divert firefox yahoo.xml, add script to customize it per locale

 -- Michael Terry <michael.terry@canonical.com>  Fri, 08 Aug 2008 11:49:11 -0400

oem-config (1.37.2netbook4belmont5) hardy; urgency=low

  * Add please_wait.patch to throw up a dialog while user waits at
    end of oem-config
  * Add "Please wait" strings to po files

 -- Michael Terry <michael.terry@canonical.com>  Wed, 06 Aug 2008 18:09:04 -0400

oem-config (1.37.2netbook4belmont4) hardy; urgency=low

  * Install language-support-* while user waits, not in background

 -- Michael Terry <michael.terry@canonical.com>  Wed, 06 Aug 2008 15:09:47 -0400

oem-config (1.37.2netbook4belmont3) hardy; urgency=low

  * Change remove-unused-langpacks.patch to be add-langpacks.patch

  [ Debbie Beliveau ]
  * Have oem-config-prepare disable gdm upstart task
  * Have oem-config upstart task re-enable gdm upstart task and then manually
    start gdm
  * upstart.patch: Move changes to oem-config-prepare/firstboot to a patch

 -- Michael Terry <michael.terry@canonical.com>  Wed, 06 Aug 2008 14:44:20 -0400

oem-config (1.37.2netbook4belmont2) hardy; urgency=low

  * Modify yahoo-links.patch to set kids/social FF home page

 -- Michael Terry <michael.terry@canonical.com>  Wed, 06 Aug 2008 12:12:33 -0400

oem-config (1.37.2netbook4belmont1) hardy; urgency=low

  * Resync with netbook-common
    * No actual change since changes to netbook-common originated from belmont

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 05 Aug 2008 23:16:10 +0000

oem-config (1.37.2netbook3belmont5) hardy; urgency=low

  * Modify yahoo-links.patch to reflect latest links from Dell.
  * Modify remove-langpacks.patch to attempt to cleanup from language-support additions
  * Update de, es, fr, hu, it, ja, pl, pt_BR, ru, zh_CN, zh_TW

 -- Michael Terry <michael.terry@canonical.com>  Tue, 05 Aug 2008 17:37:52 -0400

oem-config (1.37.2netbook3belmont4) hardy; urgency=low

  * Add set-default-size.patch to futz with the sizing of the main
    window and some pages to make them look less squished.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 04 Aug 2008 13:12:13 -0400

oem-config (1.37.2netbook3belmont3) hardy; urgency=low

  * Modify remove-langpacks.patch to install an upstart job that runs after
    oem-config does.
  * Add yahoo-links.patch to set per-language/country yahoo web links.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 31 Jul 2008 13:49:22 -0400

oem-config (1.37.2netbook3belmont2) hardy; urgency=low

  * Disable remove-langpacks for now.

 -- Michael Terry <michael.terry@canonical.com>  Mon, 28 Jul 2008 15:30:17 -0400

oem-config (1.37.2netbook3belmont1) hardy; urgency=low

  * Resync with netbook-common

  [ Debbie Beliveau ]
  * Initially install oem-config upstart task in /etc/disabled-event.d.
    oem-config-prepare will take care of enabling it.
  * Use new update-upstart tool to enable oem-config when oem-config-prepare


=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
			sed 's/[][,]//g')
MANGLED_VERSION := $(subst ~,-,$(VERSION))

ifneq ($(VERSION),$(AC_VERSION))
$(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
endif

tmp = $(CURDIR)/debian/oem-config

PYTHON := $(shell pyversions -r)

console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))

update:
	$(MAKE) -C d-i update

update-local:
	$(MAKE) -C d-i update UPDATE_LOCAL=1

d-i/source/console-setup/Keyboard/MyKeyboardNames.pl:
	$(MAKE) -C d-i/source/console-setup/Keyboard MyKeyboardNames.pl \
		xkbdir=/usr/share/X11/xkb

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/MyKeyboardNames.pl
	d-i/make-keyboard-names $< > $@

Makefile:
	PYTHON=$(PYTHON) ./configure --prefix=/usr

build: $(QUILT_STAMPFN) Makefile lib/keyboard_names.py
	$(MAKE)
	$(MAKE) -C d-i build

clean: unpatch
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	$(MAKE) -C d-i clean
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean d-i/source/console-setup/Keyboard/MyKeyboardNames.pl \
		 lib/keyboard_names.py

	$(MAKE) -C d-i check

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# For the meantime, nearly everything automake wants to install is
	# part of the GTK frontend.
ifndef OEM_CONFIG_NO_GTK
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oem-config-gtk \
		pythondir=\$${prefix}/lib/oem-config \
		pyexecdir=\$${prefix}/lib/oem-config \
		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
endif
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	sed -e 's,/target,,g' \
		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	cp debian/oem-config.upstart $(tmp)/etc/disabled-event.d/oem-config

	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	po2debconf --podir=debian/imported-po \
		debian/oem-config.templates-imported \
		>> debian/oem-config/DEBIAN/templates
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i -- -Vmangled-version='$(MANGLED_VERSION)'
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary

## oem-config 1.37.2netbook10

=== debian/changelog ===
oem-config (1.37.2netbook10) hardy; urgency=low

  * debian/patches/unr-pos.patch: patch debian/po/nb.po instead of
    debian/po/no.po, since 'no' for Norwegian is ambiguous and deprecated and
    comparison of the new translations confirms that they're Norwegian
    Bokmaal (not Nynorsk).  LP: #299622.
  * debian/patches/unr-pos.patch: provide a provisional Slovak translation of
    one missing string in debian/po/sk.po, subject to confirmation by
    the translation team.  LP: #299625.

 -- Steve Langasek <steve.langasek@canonical.com>  Thu, 20 Nov 2008 14:41:26 -0500

## oem-config 1.37.2netbook11

=== debian/changelog ===
oem-config (1.37.2netbook11) hardy; urgency=low

  * debian/patches/no-lang-scroll-resizing.patch:
    - Set language help text to be exactly half the width, not change width
      as the selected language changes.  LP: #300353

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Dec 2008 12:06:22 -0500

## oem-config 1.37.2netbook12

=== debian/changelog ===
oem-config (1.37.2netbook12) hardy; urgency=low

  * debian/patches/fix-default-timezone.patch:
    - Don't use my fix, use Colin Watson's fix from bug 283861.  His picks
      a better default timezone for some languages (notably Russian).

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Dec 2008 15:05:36 -0500

## oem-config 1.37.2netbook12dennis1

=== d-i/source/localechooser/Makefile ===
all: debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8

LIST     = languagelist
L10NLIST = languagelist.l10n

debian/templates.base: mktemplates.language debian/localechooser.templates-in $(LIST) $(L10NLIST) debian/iso-3166.tab
	LC_COLLATE=C ./mktemplates.language $(LIST) $(L10NLIST) debian/templates.lang debian/localechooser.templates-in
	./mktemplates.country debian/templates debian/templates.lang

debian/iso-codes:
	./get-iso-codes

debian/iso-3166.tab:
	./iso3166tab.py /usr/share/xml/iso-codes/iso_3166.xml >debian/iso-3166.tab

debian/templates: debian/templates.base debian/short-tmp/shortlists
	./mk_shortlist_templates

debian/short-tmp/shortlists: debian/iso-codes
	./mkshort

check-scripts:
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in finish-install debian/postinst languagemap localechooser ; do \
		$$SH -n $$s ; \
	done

check-utf8: $(L10NLIST)
	iconv -f utf-8 -t unicode $(L10NLIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f5 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.lang debian/templates.tmp debian/templates.base debian/iso-3166.tab
	$(RM) -rf debian/short-tmp debian/iso-codes

=== d-i/source/user-setup/debian/changelog ===
user-setup (1.16ubuntu5) hardy; urgency=low

  * Make is_system_user always return false if OVERRIDE_SYSTEM_USER is set
    (LP: #153310).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Mar 2008 10:16:14 +0000

user-setup (1.16ubuntu4) hardy; urgency=low

  * Add the initial user to the fuse group.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 14:19:15 +0000

user-setup (1.16ubuntu3) hardy; urgency=low

  * Remove scanner group from the system.
  * Add back plugdev.  It's needed to make mounting easier for shell users.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 24 Jan 2008 15:32:14 +0000

user-setup (1.16ubuntu2) hardy; urgency=low

  [ Colin Watson ]
  * Set Vcs-Bzr for Ubuntu.

  [ Evan Dandrea ]
  * We no longer use the plugdev, netdev, powerdev, and scanner groups.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 24 Jan 2008 09:06:32 +0000

user-setup (1.16ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust /etc/aliases to send root mail to the initial user.
    - Add the initial user to the adm, dip, lpadmin, and scanner groups too,
      and to the admin group if no root password is set.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.
    - Don't reserve the 'hal' username in Ubuntu; we call it haldaemon.
    - Create the spu group on powerpc/ps3 and powerpc/cell.
  * Ignore failures from newaliases, which might be due to the user having
    declined to configure postfix (LP: #158952).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Nov 2007 00:05:52 +0000

user-setup (1.16) unstable; urgency=low

  * Move menu item to come after base-installer, and just before apt-setup.

  [ Updated translations ]
  * Bengali (bn.po) by Jamil Ahmed
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Jul 2007 13:39:40 -0400

user-setup (1.15) unstable; urgency=low

  [ Otavio Salvador ]
  * Add support to control which default groups the initial user will be
    added. Preseed it at passwd/user-default-groups. Closes: #426452

 -- Christian Perrier <bubulle@debian.org>  Fri, 29 Jun 2007 06:33:38 +0200

user-setup (1.14ubuntu4) gutsy; urgency=low

  * Only call archdetect if we have it, in order not to break use of the
    .deb outside ubiquity.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 23:01:34 +0100

user-setup (1.14ubuntu3) gutsy; urgency=low

  * Create the spu group on powerpc/ps3 and powerpc/cell (LP: #145460).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2007 11:14:56 +0100

user-setup (1.14ubuntu2) gutsy; urgency=low

  * Don't reserve the 'hal' username in Ubuntu; we call it haldaemon
    (LP: #110000).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Sep 2007 11:28:36 +0100

user-setup (1.14ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust /etc/aliases to send root mail to the initial user.
    - Add the initial user to the adm, dip, lpadmin, and scanner groups too,
      and to the admin group if no root password is set.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 May 2007 19:35:48 +0100

user-setup (1.14) unstable; urgency=low

  * Additionally, fix chroot call bug in sudo installation code.

 -- Joey Hess <joeyh@debian.org>  Tue, 01 May 2007 17:12:03 -0400

user-setup (1.13) unstable; urgency=low

  [ Colin Watson ]
  * Add mythtv to reserved-usernames (https://launchpad.net/bugs/86358).

  [ Joey Hess ]
  * Fix user-setup-apply to properly set up gksu alternatives for sudo mode.
    The chroot calls were broken. Closes: #421323

 -- Joey Hess <joeyh@debian.org>  Tue, 01 May 2007 17:10:31 -0400

user-setup (1.12ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust /etc/aliases to send root mail to the initial user.
    - Add the initial user to the adm, dip, lpadmin, and scanner groups too,
      and to the admin group if no root password is set.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.
    - Add mythtv to reserved-usernames.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2007 13:33:52 +0100

user-setup (1.12) unstable; urgency=low

  * Multiply menu-item-numbers by 100

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:34:34 -0400

user-setup (1.11) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:01:40 +0100

user-setup (1.10) unstable; urgency=low

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:57:11 +0100

user-setup (1.9) unstable; urgency=low

  [ Colin Watson ]
  * Refuse to apply an empty root password. I don't think this can happen,
    but it's a useful sanity check.

  [ Frans Pop ]
  * Revert the change from 1.5 and return to STATE 0 again on errors in root
    password. Doing the logical thing triggers a bug in cdebconf (#407577).

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hebrew (he.po) by Lior Kaplan
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič



=== debian/changelog ===
oem-config (1.37.2netbook12dennis1) hardy; urgency=low

  * New netbook version, fixes default timezone for some languages, notably
    Russian (LP: #302652) by using Colin Watson's fix -- not mine -- from
    bug 283861.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Dec 2008 15:08:24 -0500

oem-config (1.37.2netbook11dennis1) hardy; urgency=low

  * New netbook version, no changes

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Dec 2008 14:01:14 -0500

oem-config (1.37.2netbook10dennis1) hardy; urgency=low

  * New netbook version, no useful changes (translation stuff we don't use)
  * dennis_ui.patch:
    - Fix typo in template name of summary 'Location:' label, preventing the
      translation from being used.  Part of LP: #258034
    - Don't retranslate 'Step X of Y' with current language after changing
      language.  Another part of LP: #258034

 -- Michael Terry <michael.terry@canonical.com>  Mon, 01 Dec 2008 14:09:50 -0500

oem-config (1.37.2netbook9dennis7) hardy; urgency=low

  * dennis_ui.patch:
    - Add back Language page for Dennis 1.1
    - Make sure Welcome breadcrumb is wholly bolded when user changes language
  * update_pos.patch:
    - Change some '&#xa0;' sequences to the Unicode non-breaking-space char in
      fr.po
  * eula_translations.patch:
    - Update po files with EULA translations

 -- Michael Terry <michael.terry@canonical.com>  Mon, 24 Nov 2008 13:44:48 -0500

oem-config (1.37.2netbook9dennis6) hardy; urgency=low

  * dennis_ui.patch:
    - Preseed en_US.UTF-8 locale to not freeze on timezone page

 -- Michael Terry <michael.terry@canonical.com>  Fri, 31 Oct 2008 19:45:11 -0400

oem-config (1.37.2netbook9dennis5) hardy; urgency=low

  * dennis_ui.patch:
    - Drop Language page for English-only release
    - Change "set up your PC" to "set up your netbook"
    - When user presses final 'Forward' button, disable UI so that they can't
      jump around to other pages while we're doing stuff.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 31 Oct 2008 14:10:40 -0400

oem-config (1.37.2netbook9dennis4) hardy; urgency=low

  * Updated following pos: de, es, fr, it, ja, ko, ru, zh_CN, zh_TW

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 29 Oct 2008 16:05:40 -0400

oem-config (1.37.2netbook9dennis3) hardy; urgency=low

  * dennis_ui.patch:
    - Move EULA page from first to second page

 -- Michael Terry <michael.terry@canonical.com>  Fri, 24 Oct 2008 15:45:07 -0400

oem-config (1.37.2netbook9dennis2) hardy; urgency=low

  * debian/patches/dennis_ui.patch:
    - Add EULA page. LP: #284220

 -- Michael Terry <michael.terry@canonical.com>  Tue, 21 Oct 2008 11:05:04 -0400

oem-config (1.37.2netbook9dennis1) hardy; urgency=low

  * New netbook version (fixes country names with spaces).  LP: 276258

 -- Michael Terry <michael.terry@canonical.com>  Tue, 30 Sep 2008 13:59:04 -0400

oem-config (1.37.2netbook8dennis1) hardy; urgency=low

  * New netbook version (blacklist oem username).  LP: #273282

 -- Michael Terry <michael.terry@canonical.com>  Mon, 29 Sep 2008 11:33:22 -0400

oem-config (1.37.2netbook7dennis4) hardy; urgency=low

  * debian/patches/dennis_ui.patch:
    - Call passwd-toggle instead of doing the work ourselves

 -- Michael Terry <michael.terry@canonical.com>  Fri, 26 Sep 2008 11:31:50 -0400

oem-config (1.37.2netbook7dennis3) hardy; urgency=low

  * debian/patches/dennis_ui.patch:
    - Make dialog not a DESKTOP, but a DIALOG.  This way it gets focus right
      from the get-go.
    - Make pidgin help text wider
  * d-i/source/user-setup/user-setup-apply:
    - Drop thumbnail copying, done in oem-first-login now.

 -- Michael Terry <michael.terry@canonical.com>  Tue, 23 Sep 2008 11:40:18 -0400

oem-config (1.37.2netbook7dennis2) hardy; urgency=low

  * dennis_ui.patch:
    - Make dialog fullscreen, bump up font size
  * debian/control:
    - Update Maintainer

 -- Michael Terry <michael.terry@canonical.com>  Thu, 18 Sep 2008 14:30:14 -0400

oem-config (1.37.2netbook7dennis1) hardy; urgency=low

  * Bump version to match netbook.  No change, because netbook's update was
    strictly translations we don't want.

 -- Michael Terry <michael.terry@canonical.com>  Wed, 17 Sep 2008 16:10:28 -0400

oem-config (1.37.2netbook6dennis4) hardy; urgency=low

  * dennis_ui.patch: Install thumbnails from ume-config-harbour into user's
    directory.  This allows us to support pre-installed thumbnails for web
    pages.

 -- Michael Terry <michael.terry@canonical.com>  Tue, 09 Sep 2008 13:32:19 -0400

oem-config (1.37.2netbook6dennis3) hardy; urgency=low

  * dennis_ui.patch: Don't suggest that password must be 6 chars
    (LP: #264577)

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Sep 2008 10:51:44 -0400

oem-config (1.37.2netbook6dennis2) hardy; urgency=low

  * dennis_ui.patch: Remove email page (LP: #258028)

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Sep 2008 09:22:51 -0400

oem-config (1.37.2netbook6dennis1) hardy; urgency=low

  * Resync with ubuntu-netbook (add-langpacks.patch and hostname.patch fixes)

 -- Michael Terry <michael.terry@canonical.com>  Wed, 27 Aug 2008 09:04:19 -0400

oem-config (1.37.2netbook5dennis2) hardy; urgency=low

  * Use dennis background for oem-config-dm (LP 253354)
  * Don't set use-markup hint for breadcrumb labels (LP 258011)
  * Fix a issues with translations as user changes lang (LP 258034)
    - Uncomment Forward button template in oem-config.templates-imported
    - Don't call set_current_page from the lang changed callback
  * Only setup user if user presses Forward on summary page (LP 258014)
  * Take focus off first widget for email and summary screens to make it
    easier to spam the Enter button

 -- Michael Terry <michael.terry@canonical.com>  Tue, 19 Aug 2008 10:58:42 -0400

oem-config (1.37.2netbook5dennis1) hardy; urgency=low

  * Resync with netbook-common (pulled in hostname.patch)



=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: OEM Custom Solutions Engineering Group <solutions-group@lists.canonical.com>
XSBC-Original-Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, dash, dctrl-tools, debhelper (>= 5.0.37.3ubuntu2), dpkg-dev (>= 1.9), intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python (>= 2.4), python-all-dev (>= 2.3.5-11), python-central (>= 0.5), python-gtk2-dev, tzdata, xkb-data (>= 0.9), quilt
Standards-Version: 3.6.2
XS-Python-Version: current, >= 2.4
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/oem-config/trunk

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, language-installer
Recommends: hwdb-client
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, python-cairo, metacity, language-selector-common
Suggests: gnome-control-center
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config, python-qt4, kwin
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${mangled-version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-check
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.75), main-menu (>= 1.03)
Description: enter OEM mode if requested

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: oem-config-check, cdebconf-udeb
XB-Installer-Menu-Item: 2800
Description: Prepare for end-user configuration after initial installation

## oem-config 1.37.2netbook12dennis2

=== debian/changelog ===
oem-config (1.37.2netbook12dennis2) hardy; urgency=low

  * houston.patch:
    - Add Houston to timezone map
  * dennis-ui.patch:
    - Drop pidgin page, default to off

 -- Michael Terry <michael.terry@canonical.com>  Tue, 16 Dec 2008 16:13:58 -0500

## oem-config 1.37.2netbook12dennis3

=== debian/changelog ===
oem-config (1.37.2netbook12dennis3) hardy; urgency=low

  * Fixed po systax errors in EULA msgstr for de es fr it ja ko ru zh_CN zh_TW  

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 06 Jan 2009 17:05:38 +0000

## oem-config 1.37.2netbook12dennis4

=== debian/changelog ===
oem-config (1.37.2netbook12dennis4) hardy; urgency=low

  * dennis_ui.patch:
    - Apply hard-coded layout and variant to the keyboard, based on language
      chosen.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 09 Jan 2009 12:19:06 -0500

## oem-config 1.37.2netbook12dennis5

=== debian/changelog ===
oem-config (1.37.2netbook12dennis5) hardy; urgency=low

  * dennis_ui.patch
    - Add support for setting the correct size_request when running in 
      1024x576.

 -- Neil J. Patel <neil.patel@canonical.com>  Mon, 12 Jan 2009 17:42:46 +0000

## oem-config 1.37.2netbook12dennis6

=== debian/changelog ===
oem-config (1.37.2netbook12dennis6) hardy; urgency=low

  * Added translation of city in region setting page. Numerous changes:
    - gui/glade/step_timezone.glade to expose new widget for city
    - lib/zoom.py: modified to query gettext for city and display
    - translations in new gettext domain: oem-translations, so this is depends
    - locales: must be set up at build, so postinst script of ume-config-harbour
      modified to gen the target locales

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 12 Jan 2009 16:41:20 -0500

## oem-config 1.37.2netbook12dennis7

=== debian/changelog ===
oem-config (1.37.2netbook12dennis7) hardy; urgency=low

  * Integrated po files received from LB 2009-jan-14

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 14 Jan 2009 14:40:57 -0500

## oem-config 1.37.2netbook12dennis8

=== debian/changelog ===
oem-config (1.37.2netbook12dennis8) hardy; urgency=low

  * Revert change that starts oem-config as an upstart task rather than
    through /etc/rc2.d/S12oem-config (LP# 254606) 

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 14 Jan 2009 20:48:20 +0000

## oem-config 1.37.2netbook12dennis9

=== debian/changelog ===
oem-config (1.37.2netbook12dennis9) hardy; urgency=low

  * Call lateboot-setup after oem-config init's script is done.  Fixes issue with
    lateboot cmds never beening run.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 15 Jan 2009 11:57:06 -0500

## oem-config 1.37.2netbook12dennis10

=== debian/changelog ===
oem-config (1.37.2netbook12dennis10) hardy; urgency=low

  * ja.po (Japanese) and ko.po (Korean) syntax errors fixed.
  * ru.po reverted to version from dennis6 because translators returned a non
    UTF-8 encoded po file. Have asked for immediate turn around.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 15 Jan 2009 13:12:02 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: oem-config
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, language-installer
+Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, language-installer, oem-translations
 Recommends: hwdb-client
 Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
 Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone

## oem-config 1.37.2netbook12dennis11

=== debian/changelog ===
oem-config (1.37.2netbook12dennis11) hardy; urgency=low

  * Use ru.po file correct to be UTF-8
  * fix ko.po and ja.po syntax errors

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 15 Jan 2009 16:37:46 -0500

## oem-config 1.37.2netbook12dennis12

=== debian/changelog ===
oem-config (1.37.2netbook12dennis12) hardy; urgency=low

  * gui/glade/step_summary/glade: add labels to show translated country and city
  * lib/zoommap.py add code to set the above labels from timezone page

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 16 Jan 2009 11:12:07 -0500

## oem-config 1.37.2netbook12dennis13

=== debian/changelog ===
oem-config (1.37.2netbook12dennis13) hardy; urgency=low

  * Make Region and City labels on summary page link buttons that take the user
    back to the timezone page when clicked. 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 23 Jan 2009 13:28:59 -0500

## oem-config 1.37.2netbook12dennis14

=== debian/changelog ===
oem-config (1.37.2netbook12dennis14) hardy; urgency=low

  * Add text wrapping in various places:
    - gui/glade/step_user.glade: added gtk.labels for radio buttons to enable 
      text wrapping (rbuttons just have plain text, not label objects)
    - lib/frontend/gtk_ui.py: add call to wrap all labels
    - lib/frontend/gtk_ui.py: add call to not set text on radio buttons (since 
      they are text, not labels, and can't wrap)
    - debian/oem-config-check.templates: modify so translations go to new labels
      not to radio buttons

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 27 Jan 2009 14:15:31 -0500

## oem-config 1.37.2netbook12dennis15

=== debian/changelog ===
oem-config (1.37.2netbook12dennis15) hardy; urgency=low

  * debian/init:
    - Call usplash init script to shut usplash down, rather than doing
      it ourselves
    - Don't switch VTs while shutting down usplash.  This lets usplash
      be visible when shutting down.  LP: #294439

 -- Michael Terry <michael.terry@canonical.com>  Thu, 29 Jan 2009 09:54:00 -0500

## oem-config 1.37.2netbook12dennis16

=== debian/changelog ===
oem-config (1.37.2netbook12dennis16) hardy; urgency=low

  * lib/zoommap.py and lib/frontend/gtk_ui.py: make region selection combobox 
    display translated location names by adding a column to its data model, 
    rebuilding the data model with translated names when the user leaves 
    the language selection page, and displaying only this new column.

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 29 Jan 2009 15:59:05 -0500

## oem-config 1.37.2netbook12dennis17

=== debian/changelog ===
oem-config (1.37.2netbook12dennis17) hardy; urgency=low

  * location_combo_translated.patch:
    - Include English in list of hardcoded languages for zoommap.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 30 Jan 2009 11:38:51 -0500

## oem-config 1.37.2netbook12dennis18

=== debian/changelog ===
oem-config (1.37.2netbook12dennis18) hardy; urgency=low

  * Various mods to support city translations on step 3 combox better
  * make_city_translations script generates pre-build time per lang data models
  * zoommap.py parses these into per data models with translations. chaning
    language in step 1 of UI switches data model to correct one 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Mon, 02 Feb 2009 14:41:02 -0500

## oem-config 1.37.2netbook12dennis19

=== debian/changelog ===
oem-config (1.37.2netbook12dennis19) hardy; urgency=low

  * city_trans.patch: updated locale_data_models with translations for city 
    names received this evening

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 04 Feb 2009 18:02:45 -0500

## oem-config 1.37.2netbook12dennis20

=== debian/changelog ===
oem-config (1.37.2netbook12dennis20) hardy; urgency=low

  * Updated locale_data_models from latest translations

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 04 Feb 2009 18:24:04 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: oem-config
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, language-installer, oem-translations
+Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${mangled-version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser, oem-translations
 Recommends: hwdb-client
 Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
 Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone

## oem-config 1.37.2netbook12dennis21

=== debian/changelog ===
oem-config (1.37.2netbook12dennis21) hardy; urgency=low

  * city_trans.patch:
    - Disable city and country links when use clicks final Forward button.
      LP: #324479

 -- Michael Terry <michael.terry@canonical.com>  Thu, 05 Feb 2009 10:05:09 -0500

## oem-config 1.37.2netbook12dennis22

=== debian/changelog ===
oem-config (1.37.2netbook12dennis22) hardy; urgency=low

  * debian/control: added langauge-installer back as depends

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 05 Feb 2009 10:26:15 -0500

## oem-config 1.37.2netbook12dennis23

=== debian/changelog ===
oem-config (1.37.2netbook12dennis23) hardy; urgency=low

  * location_combo_translated.patch: modify make_locale_data_models script to 
    use python gettext to avoid rara garbled chars

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 06 Feb 2009 09:45:33 -0500

oem-config (1.37.2netbook12dennis22ubuntu1) intrepid; urgency=low

  * i-

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Fri, 06 Feb 2009 09:44:06 -0500

## oem-config 1.37.2netbook12dennis24

=== debian/changelog ===
oem-config (1.37.2netbook12dennis24) hardy; urgency=low

  * Add back the following dropped changes:

  [ Neil J. Patel ]
  * dennis_ui.patch
    - Add support for setting the correct size_request when running in 
      1024x576.

  [ Michael Terry ]
  * dennis_ui.patch:
    - Apply hard-coded layout and variant to the keyboard, based on
      language chosen.

 -- Michael Terry <michael.terry@canonical.com>  Thu, 12 Feb 2009 16:10:35 -0500

## oem-config 1.37.2netbook12dennis25

=== debian/changelog ===
oem-config (1.37.2netbook12dennis25) hardy; urgency=low

  * Modify locale_data_models to fix probem that some city names had underscores
    in po files and thus were not tanslated 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 12 Feb 2009 16:43:08 -0500

## oem-config 1.37.2netbook12dennis26

=== debian/changelog ===
oem-config (1.37.2netbook12dennis26) hardy; urgency=low

  * lib/components/timezone.py: hardcode keyboardt model and layout based on 
    language choice 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Feb 2009 09:48:03 -0500

## oem-config 1.37.2netbook12dennis27

=== debian/changelog ===
oem-config (1.37.2netbook12dennis27) hardy; urgency=low

  * lib/components/timezone.py: only set model, not layout because usernames 
    cannot start with non-latin characters

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 17 Feb 2009 15:46:15 -0500

## oem-config 1.37.2netbook12payson1

=== debian/changelog ===
oem-config (1.37.2netbook12payson1) hardy; urgency=low

  * re-applied patch toshiba-hostname.patch 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 04 Dec 2008 21:49:28 -0500

## oem-config 1.37.2netbook13

=== debian/changelog ===
oem-config (1.37.2netbook13) hardy; urgency=low

  * debian/init:
    - Don't switch VTs when shutting down usplash.  Call its init script
      instead to shut it down for us.  Fixes NetworkManager errors being
      visible on first reboot.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 30 Jan 2009 09:47:25 -0500

## oem-config 1.37.2netbook13belmont1

=== debian/changelog ===
oem-config (1.37.2netbook13belmont1) hardy; urgency=low

  * New netbook version, fixes NetworkManager messages on first reboot
    being visible.

 -- Michael Terry <michael.terry@canonical.com>  Fri, 30 Jan 2009 09:54:51 -0500

oem-config (1.37.2netbook12belmont3) hardy; urgency=low

  * fix-background.patch:
    Update the background to the latest one

 -- Neil J. Patel <neil.patel@canonical.com>  Tue, 20 Jan 2009 14:07:31 +0000

oem-config (1.37.2netbook12belmont2) hardy; urgency=low

  * Delete start-yelp-when-done.patch because yelp is now launched on first
    boot to display tiger-help and this older impl, to display Ubuntu Help
    Center is now not needed. 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Tue, 16 Dec 2008 16:43:26 +0000

oem-config (1.37.2netbook12belmont1) hardy; urgency=low

  * New netbook version, revising fix-default-timezone.patch:
    - Don't use my fix, use Colin Watson's fix from bug 283861.  His picks
      a better default timezone for some languages (notably Russian).

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Dec 2008 15:11:15 -0500

oem-config (1.37.2netbook11belmont1) hardy; urgency=low

  * New netbook version
    - debian/patches/no-lang-scroll-resizing.patch to stop help text from
      resizing dialog

 -- Michael Terry <michael.terry@canonical.com>  Thu, 04 Dec 2008 14:11:45 -0500

oem-config (1.37.2netbook10belmont2) hardy; urgency=low

  * yahoo-links.patch:
    - Also divert yahoo.xml on upgrade, not just install

 -- Michael Terry <michael.terry@canonical.com>  Mon, 01 Dec 2008 15:56:14 -0500

oem-config (1.37.2netbook10belmont1) hardy; urgency=low

  * New netbook version, no useful changes (were in translations we don't use)

 -- Michael Terry <michael.terry@canonical.com>  Mon, 01 Dec 2008 13:35:10 -0500
